package org.mentawai.action;

import org.mentawai.core.ActionConfig;
import org.mentawai.core.ApplicationManager;
import org.mentawai.core.BaseAction;
import org.mentawai.core.Consequence;

public class ManagmentAction extends BaseAction {

    private String actionConfigName;
    private String innerActionName;
    private String consequenceResult;
    private String propertyName;
    private String propertyValue;
    
    
    public String execute() throws Exception {
        
        ApplicationManager applicationManager = ApplicationManager.getInstance();    
        
        ActionConfig actionConfig = applicationManager.getActionConfig(actionConfigName);
        
        if (actionConfig == null) {
            throw new RuntimeException("Could not find an action config named \'"+actionConfigName+ "\'");
        }
        
        Consequence consequence = null;
        
        if (innerActionName != null && !"".equals(innerActionName)) {
            consequence = actionConfig.getConsequence(consequenceResult, innerActionName);
        }
        else {
            consequence = actionConfig.getConsequence(consequenceResult);
        }
        if (consequence == null) {
            throw new RuntimeException("Could not find consequence for result \'" 
                    + consequenceResult+"\' " +  (innerActionName != null 
                            ? "and inner action \'" + innerActionName+"\' " : 
                                " ") + " for action config name " 
                                +actionConfigName);
        }
        
        return SUCCESS;
    }

    public String getActionConfigName() {
        return actionConfigName;
    }

    public void setActionConfigName(String actionConfigName) {
        this.actionConfigName = actionConfigName;
    }

    public String getConsequenceResult() {
        return consequenceResult;
    }

    public void setConsequenceResult(String consequenceName) {
        this.consequenceResult = consequenceName;
    }

    public String getInnerActionName() {
        return innerActionName;
    }

    public void setInnerActionName(String innerActionName) {
        this.innerActionName = innerActionName;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public String getPropertyValue() {
        return propertyValue;
    }

    public void setPropertyValue(String propertyValue) {
        this.propertyValue = propertyValue;
    }

}