package org.mentawai.log;

import java.io.IOException;

public class Event {
	
	public static boolean ENABLED = false;
    
    public static String FILENAME = "EVENT.LOG";
    
    private static Logger logger;
    
    static {
        
        try {
            
            boolean isConsole = Boolean.getBoolean("logConsole");
            
            if (isConsole) {
                
                logger = new SimpleLogger(System.err);
                
            } else {
            
                String filename = System.getProperty("logEventFile", FILENAME);
            
                logger = new SimpleLogger(filename);
                
            }
            
        } catch(IOException e) {
            
            System.err.println("Cannot open " + FILENAME + "!!!");
            
            e.printStackTrace();
            
            logger = null;
        }
    }
    
    public static void enable(boolean flag) {
        
        if (logger != null) {
        	
        	logger.enable(flag);
        	
        	ENABLED = flag;
        }
    }
    
    public static void roll() throws IOException {
        
        if (logger != null) logger.roll();
    }
    
    public static void log(String msg) {
        
        if (logger != null) logger.log(msg);
    }
    
    public static void log(Object o1) {
        
        if (logger != null) logger.log(o1);
    }
    
    public static void log(Object o1, Object o2) {
        
        if (logger != null) logger.log(o1, o2);
        
    }
    
    public static void log(Object o1, Object o2, Object o3) {
        
        if (logger != null) logger.log(o1, o2, o3);
        
    }
    
    public static void log(Object o1, Object o2, Object o3, Object o4) {
        
        if (logger != null) logger.log(o1, o2, o3, o4);
        
    }
    
    public static void log(Object o1, Object o2, Object o3, Object o4, Object o5) {
        
        if (logger != null) logger.log(o1, o2, o3, o4, o5);
        
    }
    
    public static void log(Object o1, Object o2, Object o3, Object o4, Object o5, Object o6) {
        
        if (logger != null) logger.log(o1, o2, o3, o4, o5, o6);
        
    }
    
    public static void log(Object o1, Object o2, Object o3, Object o4, Object o5, Object o6, Object o7) {
        
        if (logger != null) logger.log(o1, o2, o3, o4, o5, o6, o7);
        
    }
    
    public static void log(Object o1, Object o2, Object o3, Object o4, Object o5, Object o6, Object o7, Object o8) {
        
        if (logger != null) logger.log(o1, o2, o3, o4, o5, o6, o7, o8);
        
    }
    
    public static void log(Object o1, Object o2, Object o3, Object o4, Object o5, Object o6, Object o7, Object o8, Object o9) {
        
        if (logger != null) logger.log(o1, o2, o3, o4, o5, o6, o7, o8, o9);
        
    }
    
    public static void log(Object o1, Object o2, Object o3, Object o4, Object o5, Object o6, Object o7, Object o8, Object o9, Object o10) {
        
        if (logger != null) logger.log(o1, o2, o3, o4, o5, o6, o7, o8, o9, o10);
        
    }
}