/*
 * Mentawai Web Framework http://mentawai.lohis.com.br/
 * Copyright (C) 2005  Sergio Oliveira Jr. (sergio.oliveira.jr@gmail.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
package org.mentawai.rule;

import java.util.Map;

/**
 * A validation rule for required fields.
 * This rule check if the action input value is present, in other words, not null.
 * It also check if the value is a non-empty String.
 *
 * @author Sergio Oliveira
 */
public class RequiredFieldRule extends BasicRule {
	
	public boolean check(Object value) {
        /*
		if (value != null && value instanceof String) {
			String s = (String) value;
			return s.trim().length() > 0;
		}
        */
		if (value != null) {
			String s = value.toString();
			return s.trim().length() > 0;
		}        
		return false;
	}
	
	public Map<String, String> getTokens() {
		return null;
	}
}
